Group: Engineering
# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-macros-fedora-compat
# END SourceDeps(oneline)
# see https://bugzilla.altlinux.org/show_bug.cgi?id=10382
%define _localstatedir %{_var}
Name:           wgrib
Version:        1.8.5
Release:        alt1_2
Summary:        Manipulate, inventory and decode GRIB files

License:        Public Domain
URL:            https://www.cpc.ncep.noaa.gov/products/wesley/wgrib.html
Source0:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/wgrib.c.v%{version}
Source1:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/Changes
Source2:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/NOTICE
Source3:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/double_prec.txt
Source4:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/formats.txt
Source5:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/formats_update.txt
Source6:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/grib2ieee.txt
Source7:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/misc.txt
Source8:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/porting.txt
Source9:        https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/usertables.txt
Source10:       https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/tricks.wgrib
Source11:       https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/land.grb
Source12:       https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/testbin.c
Source13:       https://ftp.cpc.ncep.noaa.gov/wd51we/wgrib/testbin.f
Source14:       testbin.out
# Include <stdlib.h> and set int return for main() for C99 compliance
Patch0:         wgrib-c99.patch
BuildRequires:  gcc
Source44: import.info


%description
WGRIB is a program to manipulate, inventory and decode GRIB files.


%prep
%setup -q -c -T
cp %SOURCE0 wgrib.c
cp %SOURCE1 .
cp %SOURCE2 .
cp %SOURCE3 .
cp %SOURCE4 .
cp %SOURCE5 .
cp %SOURCE6 .
cp %SOURCE7 .
cp %SOURCE8 .
cp %SOURCE9 .
cp %SOURCE10 .
cp %SOURCE11 .
cp %SOURCE12 .
cp %SOURCE13 .
%patch0  -p0 -b .c99


%build
gcc %{optflags} %{build_ldflags} -o wgrib wgrib.c


%install
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -m 755 wgrib $RPM_BUILD_ROOT%{_bindir}/


%check
./wgrib land.grb -d 1
gcc %{optflags} %{build_ldflags} -o testbin testbin.c -lm
./testbin > testbin.out && diff %SOURCE14 testbin.out



%files
%doc Changes *.txt tricks.wgrib testbin.[cf] land.grb
%{_bindir}/wgrib


%changelog
* Sat Mar 23 2024 Igor Vlasenko <viy@altlinux.org> 1.8.5-alt1_2
- update to new release by fcimport

* Sat Sep 16 2023 Igor Vlasenko <viy@altlinux.org> 1.8.5-alt1_1
- update to new release by fcimport

* Wed Feb 22 2023 Igor Vlasenko <viy@altlinux.org> 1.8.2-alt2_10
- update to new release by fcimport

* Sun Aug 07 2022 Igor Vlasenko <viy@altlinux.org> 1.8.2-alt2_8
- update to new release by fcimport

* Sat Feb 05 2022 Igor Vlasenko <viy@altlinux.org> 1.8.2-alt2_7
- update to new release by fcimport

* Mon Aug 02 2021 Igor Vlasenko <viy@altlinux.org> 1.8.2-alt2_6
- update to new release by fcimport

* Wed Mar 17 2021 Igor Vlasenko <viy@altlinux.org> 1.8.2-alt2_5
- update to new release by fcimport

* Wed Jan 27 2021 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt2_4
- update to new release by fcimport

* Wed Sep 02 2020 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt1_4
- update to new release by fcimport

* Thu Mar 05 2020 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt1_3
- update to new release by fcimport

* Tue Aug 06 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt1_2
- update to new release by fcimport

* Mon Apr 15 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.2-alt1_1
- update to new release by fcimport

* Fri Mar 01 2019 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_12
- update to new release by fcimport

* Wed Aug 01 2018 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_11
- update to new release by fcimport

* Tue Feb 20 2018 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_9
- update to new release by fcimport

* Mon Oct 09 2017 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_8
- update to new release by fcimport

* Wed Mar 15 2017 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_6
- update to new release by fcimport

* Wed Mar 02 2016 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_5
- update to new release by fcimport

* Mon Oct 19 2015 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_4
- update to new release by fcimport

* Tue Sep 16 2014 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_3
- update to new release by fcimport

* Mon Jul 07 2014 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_2
- update to new release by fcimport

* Wed Nov 20 2013 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2c-alt1_1
- update to new release by fcimport

* Tue Nov 12 2013 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2b-alt1_1
- update to new release by fcimport

* Mon Sep 09 2013 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2a-alt1_5
- update to new release by fcimport

* Mon Apr 29 2013 Igor Vlasenko <viy@altlinux.ru> 1.8.1.2a-alt1_4
- initial fc import

